curl --request POST \
--url https://api.devhelm.io/api/v1/incidents/{id}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"newStatus": "WATCHING",
"notifySubscribers": true
}
'{
"data": {
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"source": "AUTOMATIC",
"status": "WATCHING",
"severity": "DOWN",
"title": "<string>",
"triggeredByRule": "<string>",
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"createdByUserId": 123,
"statusPageVisible": true,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"resolutionReason": "MANUAL",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>"
},
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"oldStatus": "WATCHING",
"newStatus": "WATCHING",
"body": "<string>",
"createdBy": "SYSTEM",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}curl --request POST \
--url https://api.devhelm.io/api/v1/incidents/{id}/updates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>",
"newStatus": "WATCHING",
"notifySubscribers": true
}
'{
"data": {
"incident": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"source": "AUTOMATIC",
"status": "WATCHING",
"severity": "DOWN",
"title": "<string>",
"triggeredByRule": "<string>",
"affectedRegions": [
"<string>"
],
"reopenCount": 123,
"createdByUserId": 123,
"statusPageVisible": true,
"serviceIncidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalRef": "<string>",
"affectedComponents": [
"<string>"
],
"shortlink": "<string>",
"resolutionReason": "MANUAL",
"startedAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorName": "<string>",
"serviceName": "<string>",
"serviceSlug": "<string>",
"monitorType": "<string>",
"resourceGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resourceGroupName": "<string>"
},
"updates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"incidentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"oldStatus": "WATCHING",
"newStatus": "WATCHING",
"body": "<string>",
"createdBy": "SYSTEM",
"notifySubscribers": true,
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}API key (dh_live_...) or Auth0 JWT token
Created
Show child attributes